net.returnvoid.color

## Enum ColorSpace

- java.lang.Object
- - java.lang.Enum<ColorSpace>
  - - net.returnvoid.color.ColorSpace

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ColorSpace>

      public enum ColorSpace
      extends java.lang.Enum<ColorSpace>

  A collection of valid color spaces.
  Author:
    Diana Lange

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `HSBColor`
    `LabColor`
    `LCHColor`
    `RGBColor`
    `XYZColor`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(ColorDifferenceMeasure m)` Checks if a ColorSpace is equal to a ColorDofferenceMeasure.
    `ColorDifferenceMeasure` | `toColorDifferenceMeasure()` Converts a given ColorSpace to its ColorDofferenceMeasure equivalent.
    `static ColorSpace` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ColorSpace[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RGBColor

          public static final ColorSpace RGBColor

    - #### XYZColor

          public static final ColorSpace XYZColor

    - #### LabColor

          public static final ColorSpace LabColor

    - #### HSBColor

          public static final ColorSpace HSBColor

    - #### LCHColor

          public static final ColorSpace LCHColor

  - ### Method Detail

    - #### values

          public static ColorSpace[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ColorSpace c : ColorSpace.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ColorSpace valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toColorDifferenceMeasure

          public ColorDifferenceMeasure toColorDifferenceMeasure()

      Converts a given ColorSpace to its ColorDofferenceMeasure equivalent. The result will always be the Euclidean distance from the given ColorSpace. E.G. RGBColor will return RGBEuclidean, LabColor will return LabDeltaE and so on.
      Returns:
        The ColorDofferenceMeasure of the given ColorSpace.

    - #### equals

          public boolean equals(ColorDifferenceMeasure m)

      Checks if a ColorSpace is equal to a ColorDofferenceMeasure. They are equal if they are both members of the same color model. E.G. RGBColor will be equal to RGBMeanRed but not equal to LabDeltaE.
      Parameters:
        `m` - The ColorDifferenceMeasure to compare to.
      Returns:
        True if the ColorDifferenceMeasure is equal.